#ifndef QUEUE_
#define QUEUE_

struct queue
   {
   void ** data;
   size_t max;
   size_t start;
   size_t count;
   };

struct queue * queue_new(size_t const size);
void queue_delete(struct queue * queue);
void * queue_push(struct queue * queue, void * elem);
void * queue_pop(struct queue * queue);
size_t queue_size(struct queue * queue);

#endif
